<?php

	App::uses('EvTeamAppController', 'EvTeam.Controller');

	App::uses('ArrayUtil', 'Lib');

	class TeamMembersController extends EvTeamAppController {

		protected function _adminFormFields() {
			$Model = $this->{$this->modelClass};
			$alias = $Model->alias;

			$fields = parent::_adminFormFields();

			unset($fields["$alias.location"],
				$fields["$alias.linkedin"],
				$fields["$alias.is_featured"]
			);

			$fields["$alias.position"]['label'] = 'Job Title';
			$fields["$alias.body"]['type'] = 'html';

			return $fields;
		}

		public function beforeFilter() {
			parent::beforeFilter();

			$this->Auth->allow(array(
				'index',
				'view',
				'search',
				'filter',
				'experts'
			));
		}

		protected function _adminPopulateLookups() {
			$Model = $this->{$this->modelClass};
			$alias = $Model->alias;

			$departments = $Model->Department->find('list', array(
				'conditions' => array(
					"$alias.is_active" => 1
				)
			));
			$this->set(compact('departments'));
		}

		public function index() {
			$Model = $this->{$this->modelClass};

			$departments = $Model->Department->getDepartments(null);

			$this->set('departments', $departments['departments']);

			$this->set('team_members', $Model->getTeam(null));

			$this->assignPage('STAFF', 'page');

			$this->view = 'EvTeam.TeamMembers/index';
		}

		public function view($id) {
			$Model = $this->{$this->modelClass};

			$data = $Model->readForView($id);

			$this->Meta->set($data);
			$this->set('data', $data);

			$this->view = 'EvTeam.TeamMembers/view';
		}

		/**
		 * Redefined to allow us to show contact info
		 */
		public function admin_edit($id = null) {
			parent::admin_edit($id);

			$this->view = 'EvTeam.TeamMembers/admin_form';
		}

	}
