<?php

App::uses('EvTeamAppModel', 'EvTeam.Model');

/**
 * Business rules for Pages
 */
class Department extends EvTeamAppModel {

	public $displayField = 'title';

	public $actsAs = array(
		'Routable.Routable' => array(
			'alias' => 'team-departments/:displayField',
			'actual' => ':plugin/:controller/view/:primaryKey'
		),
		'MetaData.Meta'
	);

	public $validate = array(
		'title' => array(
			'required' => array(
				'rule' => 'notEmpty',
				'message' => 'cannot be blank'
			)
		),
	);

	public $hasAndBelongsToMany = array(
		'EvTeam.TeamMember'
	);

	public function getDepartments($department_id) {
		$alias = $this->alias;

		$departments = $this->find('all', array(
			'conditions' => array(
				"$alias.is_active" => 1,
			),
		));
		$selectedDepartment = array();
		foreach ($departments as &$department) {
			if ($department[$alias]['id'] == $department_id) {
				$department[$alias]['currently_active'] = true;
				$selectedDepartment = $department;
			} else {
				$department[$alias]['currently_active'] = false;
			}
		}
		return array('departments' => $departments, 'selected' => $selectedDepartment);
	}
}